> ## Documentation Index
> Fetch the complete documentation index at: https://developers.voxys.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update provider

> Updates an existing service provider.



## OpenAPI

````yaml /api-reference/voxys_appointments_swagger.json patch /api/v1/accounts/{account_id}/providers/{id}
openapi: 3.1.0
info:
  title: Voxys Connect – Extended Features
  description: >-
    API documentation for Voxys Connect extended features: Campaigns, WhatsApp
    Templates & Flows, Appointments, Scheduled Messages, Projects, Internal
    Channels, Customer Pulse, and Reports.
  version: 1.0.0
  contact:
    email: support@voxys.ai
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://connect.voxys.ai
security:
  - userApiKey: []
tags:
  - name: Appointments
    description: Appointment booking, confirmation, rescheduling, and availability
  - name: Appointment Services
    description: Manage bookable services offered to contacts
  - name: Providers
    description: Manage service providers for appointment booking
paths:
  /api/v1/accounts/{account_id}/providers/{id}:
    patch:
      tags:
        - Providers
      summary: Update provider
      description: Updates an existing service provider.
      operationId: updateProvider
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/provider_create'
      responses:
        '200':
          description: Provider updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/provider'
        '401':
          $ref: '#/components/responses/unauthorized'
        '404':
          $ref: '#/components/responses/not_found'
components:
  schemas:
    provider_create:
      type: object
      required:
        - name
      properties:
        name:
          type: string
        specialty:
          type: string
        email:
          type: string
          format: email
        phone:
          type: string
        color:
          type: string
          example: '#10B981'
        is_active:
          type: boolean
          default: true
        service_ids:
          type: array
          items:
            type: integer
          description: IDs of services this provider offers
    provider:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        specialty:
          type: string
        email:
          type: string
          format: email
        phone:
          type: string
        color:
          type: string
          example: '#10B981'
        is_active:
          type: boolean
        service_ids:
          type: array
          items:
            type: integer
        created_at:
          type: string
          format: date-time
  responses:
    unauthorized:
      description: Authentication failed – invalid or missing api_access_token
    not_found:
      description: Resource not found
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        All API requests must include the `api_access_token` header with a valid
        agent or administrator token.

````